Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
K
k3s
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Registry
Registry
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Jacklull
k3s
Commits
cf7d2af1
Commit
cf7d2af1
authored
Jan 13, 2016
by
k8s-merge-robot
Browse files
Options
Browse Files
Download
Plain Diff
Merge pull request #19086 from mikedanese/fix-build
Auto commit by PR queue bot
parents
9e66a8f1
22cfa5ea
Hide whitespace changes
Inline
Side-by-side
Showing
8 changed files
with
42 additions
and
34 deletions
+42
-34
common.sh
cluster/common.sh
+2
-2
util.sh
cluster/gce/util.sh
+8
-17
logging.sh
cluster/lib/logging.sh
+0
-0
util.sh
cluster/lib/util.sh
+27
-0
init.sh
hack/lib/init.sh
+2
-1
util.sh
hack/lib/util.sh
+0
-11
exceptions.txt
hack/verify-flags/exceptions.txt
+2
-2
test-performance.sh
test/component/scheduler/perf/test-performance.sh
+1
-1
No files found.
cluster/common.sh
View file @
cf7d2af1
...
@@ -24,8 +24,8 @@ KUBE_ROOT=$(dirname "${BASH_SOURCE}")/..
...
@@ -24,8 +24,8 @@ KUBE_ROOT=$(dirname "${BASH_SOURCE}")/..
DEFAULT_KUBECONFIG
=
"
${
HOME
}
/.kube/config"
DEFAULT_KUBECONFIG
=
"
${
HOME
}
/.kube/config"
source
"
${
KUBE_ROOT
}
/
hack
/lib/util.sh"
source
"
${
KUBE_ROOT
}
/
cluster
/lib/util.sh"
source
"
${
KUBE_ROOT
}
/
hack
/lib/logging.sh"
source
"
${
KUBE_ROOT
}
/
cluster
/lib/logging.sh"
# KUBE_RELEASE_VERSION_REGEX matches things like "v1.2.3" or "v1.2.3-alpha.4"
# KUBE_RELEASE_VERSION_REGEX matches things like "v1.2.3" or "v1.2.3-alpha.4"
#
#
# NOTE This must match the version_regex in build/common.sh
# NOTE This must match the version_regex in build/common.sh
...
...
cluster/gce/util.sh
View file @
cf7d2af1
...
@@ -21,6 +21,7 @@
...
@@ -21,6 +21,7 @@
KUBE_ROOT
=
$(
dirname
"
${
BASH_SOURCE
}
"
)
/../..
KUBE_ROOT
=
$(
dirname
"
${
BASH_SOURCE
}
"
)
/../..
source
"
${
KUBE_ROOT
}
/cluster/gce/
${
KUBE_CONFIG_FILE
-
"config-default.sh"
}
"
source
"
${
KUBE_ROOT
}
/cluster/gce/
${
KUBE_CONFIG_FILE
-
"config-default.sh"
}
"
source
"
${
KUBE_ROOT
}
/cluster/common.sh"
source
"
${
KUBE_ROOT
}
/cluster/common.sh"
source
"
${
KUBE_ROOT
}
/cluster/lib/util.sh"
if
[[
"
${
OS_DISTRIBUTION
}
"
==
"debian"
||
"
${
OS_DISTRIBUTION
}
"
==
"coreos"
||
"
${
OS_DISTRIBUTION
}
"
==
"trusty"
]]
;
then
if
[[
"
${
OS_DISTRIBUTION
}
"
==
"debian"
||
"
${
OS_DISTRIBUTION
}
"
==
"coreos"
||
"
${
OS_DISTRIBUTION
}
"
==
"trusty"
]]
;
then
source
"
${
KUBE_ROOT
}
/cluster/gce/
${
OS_DISTRIBUTION
}
/helper.sh"
source
"
${
KUBE_ROOT
}
/cluster/gce/
${
OS_DISTRIBUTION
}
/helper.sh"
...
@@ -301,21 +302,6 @@ function detect-master () {
...
@@ -301,21 +302,6 @@ function detect-master () {
echo
"Using master:
$KUBE_MASTER
(external IP:
$KUBE_MASTER_IP
)"
echo
"Using master:
$KUBE_MASTER
(external IP:
$KUBE_MASTER_IP
)"
}
}
# Wait for background jobs to finish. Exit with
# an error status if any of the jobs failed.
function
wait-for-jobs
{
local
fail
=
0
local
job
for
job
in
$(
jobs
-p
)
;
do
wait
"
${
job
}
"
||
fail
=
$((
fail
+
1
))
done
if
((
fail
!=
0
))
;
then
echo
-e
"
${
color_red
}${
fail
}
commands failed. Exiting.
${
color_norm
}
"
>
&2
# Ignore failures for now.
# exit 2
fi
}
# Robustly try to create a static ip.
# Robustly try to create a static ip.
# $1: The name of the ip to create
# $1: The name of the ip to create
# $2: The name of the region to create the ip in.
# $2: The name of the region to create the ip in.
...
@@ -687,7 +673,9 @@ function kube-up {
...
@@ -687,7 +673,9 @@ function kube-up {
fi
fi
# Wait for last batch of jobs
# Wait for last batch of jobs
wait-for-jobs
kube::util::wait-for-jobs
||
{
echo
-e
"
${
color_red
}${
fail
}
commands failed.
${
color_norm
}
"
>
&2
}
echo
"Creating minions."
echo
"Creating minions."
...
@@ -1192,7 +1180,10 @@ function kube-push {
...
@@ -1192,7 +1180,10 @@ function kube-push {
for
((
i
=
0
;
i<
${#
NODE_NAMES
[@]
}
;
i++
))
;
do
for
((
i
=
0
;
i<
${#
NODE_NAMES
[@]
}
;
i++
))
;
do
push-node
"
${
NODE_NAMES
[
$i
]
}
"
&
push-node
"
${
NODE_NAMES
[
$i
]
}
"
&
done
done
wait-for-jobs
kube::util::wait-for-jobs
||
{
echo
-e
"
${
color_red
}${
fail
}
commands failed.
${
color_norm
}
"
>
&2
}
# TODO(zmerlynn): Re-create instance-template with the new
# TODO(zmerlynn): Re-create instance-template with the new
# node-kube-env. This isn't important until the node-ip-range issue
# node-kube-env. This isn't important until the node-ip-range issue
...
...
hack
/lib/logging.sh
→
cluster
/lib/logging.sh
View file @
cf7d2af1
File moved
cluster/lib/util.sh
0 → 100644
View file @
cf7d2af1
#!/bin/bash
# Copyright 2015 The Kubernetes Authors All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# Wait for background jobs to finish. Return with
# an error status if any of the jobs failed.
kube::util::wait-for-jobs
()
{
local
fail
=
0
local
job
for
job
in
$(
jobs
-p
)
;
do
wait
"
${
job
}
"
||
fail
=
$((
fail
+
1
))
done
return
${
fail
}
}
hack/lib/init.sh
View file @
cf7d2af1
...
@@ -31,7 +31,8 @@ KUBE_OUTPUT="${KUBE_ROOT}/${KUBE_OUTPUT_SUBPATH}"
...
@@ -31,7 +31,8 @@ KUBE_OUTPUT="${KUBE_ROOT}/${KUBE_OUTPUT_SUBPATH}"
KUBE_OUTPUT_BINPATH
=
"
${
KUBE_OUTPUT
}
/bin"
KUBE_OUTPUT_BINPATH
=
"
${
KUBE_OUTPUT
}
/bin"
source
"
${
KUBE_ROOT
}
/hack/lib/util.sh"
source
"
${
KUBE_ROOT
}
/hack/lib/util.sh"
source
"
${
KUBE_ROOT
}
/hack/lib/logging.sh"
source
"
${
KUBE_ROOT
}
/cluster/lib/util.sh"
source
"
${
KUBE_ROOT
}
/cluster/lib/logging.sh"
kube::log::install_errexit
kube::log::install_errexit
...
...
hack/lib/util.sh
View file @
cf7d2af1
...
@@ -176,17 +176,6 @@ kube::util::find-binary() {
...
@@ -176,17 +176,6 @@ kube::util::find-binary() {
echo
-n
"
${
bin
}
"
echo
-n
"
${
bin
}
"
}
}
# Wait for background jobs to finish. Return with
# an error status if any of the jobs failed.
kube::util::wait-for-jobs
()
{
local
fail
=
0
local
job
for
job
in
$(
jobs
-p
)
;
do
wait
"
${
job
}
"
||
fail
=
$((
fail
+
1
))
done
return
${
fail
}
}
# Run all known doc generators (today gendocs, genman, and genbashcomp for kubectl)
# Run all known doc generators (today gendocs, genman, and genbashcomp for kubectl)
# $1 is the directory to put those generated documents
# $1 is the directory to put those generated documents
kube::util::gen-docs
()
{
kube::util::gen-docs
()
{
...
...
hack/verify-flags/exceptions.txt
View file @
cf7d2af1
...
@@ -84,8 +84,8 @@ hack/jenkins/update-jobs.sh: docker cp jenkins_jobs.ini job-builder:/etc/jenk
...
@@ -84,8 +84,8 @@ hack/jenkins/update-jobs.sh: docker cp jenkins_jobs.ini job-builder:/etc/jenk
hack/jenkins/update-jobs.sh: echo "jenkins_jobs.ini not found in workspace" >&2
hack/jenkins/update-jobs.sh: echo "jenkins_jobs.ini not found in workspace" >&2
hack/jenkins/update-jobs.sh: # jenkins_jobs.ini contains administrative credentials for Jenkins.
hack/jenkins/update-jobs.sh: # jenkins_jobs.ini contains administrative credentials for Jenkins.
hack/jenkins/update-jobs.sh: if [[ -e jenkins_jobs.ini ]]; then
hack/jenkins/update-jobs.sh: if [[ -e jenkins_jobs.ini ]]; then
hack
/lib/logging.sh: local source_file=${BASH_SOURCE[$frame_no]}
cluster
/lib/logging.sh: local source_file=${BASH_SOURCE[$frame_no]}
hack
/lib/logging.sh: local source_file=${BASH_SOURCE[$stack_skip]}
cluster
/lib/logging.sh: local source_file=${BASH_SOURCE[$stack_skip]}
hack/local-up-cluster.sh: runtime_config="--runtime-config=${RUNTIME_CONFIG}"
hack/local-up-cluster.sh: runtime_config="--runtime-config=${RUNTIME_CONFIG}"
hack/local-up-cluster.sh: runtime_config=""
hack/local-up-cluster.sh: runtime_config=""
hack/test-cmd.sh: --runtime_config="extensions/v1beta1/deployments=true" \
hack/test-cmd.sh: --runtime_config="extensions/v1beta1/deployments=true" \
...
...
test/component/scheduler/perf/test-performance.sh
View file @
cf7d2af1
...
@@ -20,7 +20,7 @@ set -o pipefail
...
@@ -20,7 +20,7 @@ set -o pipefail
pushd
"../../../.."
pushd
"../../../.."
source
"./hack/lib/util.sh"
source
"./hack/lib/util.sh"
source
"./
hack
/lib/logging.sh"
source
"./
cluster
/lib/logging.sh"
source
"./hack/lib/etcd.sh"
source
"./hack/lib/etcd.sh"
popd
popd
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment